using ColaFlow.Shared.Kernel.Common;

namespace ColaFlow.Modules.ProjectManagement.Domain.ValueObjects;

/// <summary>
/// ProjectStatus Enumeration
/// </summary>
public sealed class ProjectStatus : Enumeration
{
    public static readonly ProjectStatus Active = new(1, "Active");
    public static readonly ProjectStatus Archived = new(2, "Archived");
    public static readonly ProjectStatus OnHold = new(3, "On Hold");

    private ProjectStatus(int id, string name) : base(id, name)
    {
    }
}
